Gallery Platform API
Reference

List offers

Lists the gallery's offers with cursor pagination. Filter by `status`, fetch an explicit set with `ids` (comma-separated, max 50), and sort by created/updated/sent.

GET
/gallery/offers

Lists the gallery's offers with cursor pagination. Filter by status, fetch an explicit set with ids (comma-separated, max 50), and sort by created/updated/sent.

Authorization

bearerAuth offers:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: offers:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
ids?array<string>
Items1 <= items <= 50
status?string

Value in

  • "draft"
  • "scheduled"
  • "sending"
  • "sent"
  • "canceled"
q?string
Lengthlength <= 200
tag_id?array<string>
Items1 <= items <= 10
sort?string

Sort by one of: created, updated, sent (default created).

Value in

  • "created"
  • "updated"
  • "sent"
dir?string

Sort direction (default desc).

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "title": "string",      "subject": "string",      "intro": "string",      "template_id": "string",      "status": "draft",      "track_engagement": true,      "scheduled_at": "string",      "sent_at": "string",      "cc_emails": [        "string"      ],      "bcc_emails": [        "string"      ],      "created_by": "string",      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}